#
# spec file for package fbcat
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2012-2021 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fbcat
Version:        0.5.2
Release:        1.14
Summary:        Framebuffer screenshot programs
License:        GPL-2.0
Group:          Productivity/Graphics/Convertors
URL:            https://github.com/jwilk/fbcat
Source0:        https://github.com/jwilk/fbcat/releases/download/%{version}/fbcat-%{version}.tar.gz
Source1:        https://github.com/jwilk/fbcat/releases/download/%{version}/fbcat-%{version}.tar.gz.asc

%description
Contains fbcat and fbgrab for taking a screenshot using the framebuffer
device.

Two executables are provided:
 - Low-level fbcat that operates on the current virtual terminal and writes the
   screenshot to stdout in the PPM format.
 - High-level fbgrab that supports the PNG format and virtual terminal switching.

%prep
%autosetup

%build
%make_build CFLAGS='%{optflags}'

%install
%make_install PREFIX=%{_prefix}

%files
%doc doc/changelog
%license doc/COPYING
%{_bindir}/fbcat
%{_bindir}/fbgrab
%{_mandir}/man1/fbcat.1%{?ext_man}
%{_mandir}/man1/fbgrab.1%{?ext_man}

%changelog
* Mon Nov  1 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.5.2
  * fbgrab: don't print full path in the help message.
  * Makefile: use bindir and mandir variables.
* Thu Mar 18 2021 malcolmlewis@opensuse.org
- Clean up for factory submission.
* Sat Dec 16 2017 avindra@opensuse.org
- Update to version 0.5.1:
  * Fix option parser, so that it handles “-?” correctly.
  * `install` target to the makefile.
  * Ship pre-built manual pages in the source tarball.
  * Don't use getconf(1) to acquire LFS build flags.
- Simplify build instructions
- cleanup .spec file with spec-cleaner
* Fri Sep 15 2017 malcolmlewis@opensuse.org
- Update to version 0.5:
  * Make “fbgrab -” write PNG to stdout.
  * Document that “fbgrab -” writes to stdout.
- Changes from version 0.4.4:
  * Fix support for framebuffer devices that are not mmap()-able.
  * Fix typo in error message.
- Add asc file for source tarball.
* Sat Jul 16 2016 malcolmlewis@opensuse.org
- Updated to version 0.4.3:
  + Update the bug tracker URLs as project has moved to GitHub.
- Changes from version 0.4.2:
  + Add concrete dates to the manual pages. This helps making the
    package builds reproducible, and avoids goofy month/day/year
    format that DocBook XSL uses by default.
  + Enable LFS build flags.
- Changes from version 0.4.1:
  + Improve error handling.
- Update spec file for URL changes.
* Sat Jun 21 2014 malcolmlewis@cableone.net
- Update to version 0.4:
  + Add support for monochrome visuals.
  + Improve error handling.
- Update source URL.
* Thu Apr  5 2012 malcolmlewis@opensuse.org
- Update to version 0.3:
  + fbgrab: use $() rather than backticks.
  + fbgrab: run under ‘set -e’.
  + fbgrab manpage: document that some options might require root
    privileges (or CAP_SYS_TTY_CONFIG capability).
  + Makefile: don't override CFLAGS set via environment.
* Sun Jan 29 2012 malcolmlewis@opensuse.org
- Initial build.
